package com.fs.hisStore.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.NotNull;

/**
 * 医生文章对象 fs_doctor_article
 *
 * @author fs
 * @date 2023-06-05
 */
@TableName("fs_doctor_article")
public class FsDoctorArticleScrm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */

    private Long articleId;

    private Long doctorId;

    /** 封面图 */
    @NotNull(message = "封面图不能为空")
    @Excel(name = "封面图")
    private String imageUrl;

    @Excel(name = "分类")
    @NotNull(message = "分类不能为空")
    private Integer cateId;

    /** 标题 */
    @Excel(name = "标题")
    @NotNull(message = "标题不能为空")
    private String title;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 浏览量 */
    @Excel(name = "浏览量")
    private Long views;

    /** 状态 0草稿 1发布 */
    @Excel(name = "状态 0草稿 1发布")
    @NotNull(message = "状态不能为空")
    private Integer status;

    private String videoUrl;

    private String avatar;

    @Excel(name = "视频类型：1-横屏视频；2-竖屏视频")
    private Integer videoType;


    public String getVideoUrl() {
        return videoUrl;
    }

    public void setVideoUrl(String videoUrl) {
        this.videoUrl = videoUrl;
    }



    public void setArticleId(Long articleId)
    {
        this.articleId = articleId;
    }

    public Long getArticleId()
    {
        return articleId;
    }
    public void setDoctorId(Long doctorId)
    {
        this.doctorId = doctorId;
    }

    public Long getDoctorId()
    {
        return doctorId;
    }
    public void setImageUrl(String imageUrl)
    {
        this.imageUrl = imageUrl;
    }

    public String getImageUrl()
    {
        return imageUrl;
    }
    public void setCateId(Integer cateId)
    {
        this.cateId = cateId;
    }

    public Integer getCateId()
    {
        return cateId;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setViews(Long views)
    {
        this.views = views;
    }

    public Long getViews()
    {
        return views;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public Integer getVideoType() {
        return videoType;
    }

    public void setVideoType(Integer videoType) {
        this.videoType = videoType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("articleId", getArticleId())
            .append("doctorId", getDoctorId())
            .append("imageUrl", getImageUrl())
            .append("cateId", getCateId())
            .append("title", getTitle())
            .append("content", getContent())
            .append("views", getViews())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
